ReadResponse (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db

## Class ReadResponse

- java.lang.Object
- - org.apache.cassandra.db.ReadResponse

-     public abstract class ReadResponse
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IVersionedSerializer<ReadResponse>` | `legacyRangeSliceReplySerializer`
    `static IVersionedSerializer<ReadResponse>` | `rangeSliceSerializer`
    `static IVersionedSerializer<ReadResponse>` | `serializer`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ReadResponse(ReadCommand command)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ReadResponse` | `createDataResponse(UnfilteredPartitionIterator data, ReadCommand command)`
    `static ReadResponse` | `createDigestResponse(UnfilteredPartitionIterator data, ReadCommand command)`
    `static ReadResponse` | `createRemoteDataResponse(UnfilteredPartitionIterator data, ReadCommand command)`
    `abstract java.nio.ByteBuffer` | `digest(ReadCommand command)`
    `abstract boolean` | `isDigestResponse()`
    `protected static java.nio.ByteBuffer` | `makeDigest(UnfilteredPartitionIterator iterator, ReadCommand command)`
    `abstract UnfilteredPartitionIterator` | `makeIterator(ReadCommand command)`
    `java.lang.String` | `toDebugString(ReadCommand command, DecoratedKey key)` Creates a string of the requested partition in this read response suitable for debugging.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serializer

          public static final IVersionedSerializer<ReadResponse> serializer

    - #### legacyRangeSliceReplySerializer

          public static final IVersionedSerializer<ReadResponse> legacyRangeSliceReplySerializer

    - #### rangeSliceSerializer

          public static final IVersionedSerializer<ReadResponse> rangeSliceSerializer

  - ### Constructor Detail

    - #### ReadResponse

          protected ReadResponse(ReadCommand command)

  - ### Method Detail

    - #### createDataResponse

          public static ReadResponse createDataResponse(UnfilteredPartitionIterator data,
                                                        ReadCommand command)

    - #### createRemoteDataResponse

          public static ReadResponse createRemoteDataResponse(UnfilteredPartitionIterator data,
                                                              ReadCommand command)

    - #### createDigestResponse

          public static ReadResponse createDigestResponse(UnfilteredPartitionIterator data,
                                                          ReadCommand command)

    - #### makeIterator

          public abstract UnfilteredPartitionIterator makeIterator(ReadCommand command)

    - #### digest

          public abstract java.nio.ByteBuffer digest(ReadCommand command)

    - #### isDigestResponse

          public abstract boolean isDigestResponse()

    - #### toDebugString

          public java.lang.String toDebugString(ReadCommand command,
                                                DecoratedKey key)

      Creates a string of the requested partition in this read response suitable for debugging.

    - #### makeDigest

          protected static java.nio.ByteBuffer makeDigest(UnfilteredPartitionIterator iterator,
                                                          ReadCommand command)

Copyright © 2018 The Apache Software Foundation